Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: Netdata
Upstream-Contact: Costa Tsaousis <costa@tsaousis.gr>
Source: https://github.com/netdata/netdata

Files: *
Copyright: 2014-2019 Costa Tsaousis
License: GPL-3+

Files: system/Makefile.* web/gui/Makefile.*
Copyright: 2015 Alon Bar-Lev <alon.barlev@gmail.com>
License: GPL-3+

Files: debian/*
Copyright: 2016 Matthew Newton <mcn4@leicester.ac.uk>
           2017 Lennart Weller <lhw@ring0.de>
           2017 Federico Ceratto <federico@debian.org>
           2018-2020 Daniel Baumann <daniel.baumann@progress-linux.org>
License: GPL-3+

Files: libnetdata/avl/*
Copyright: 2004 Free Software Foundation Inc.
           2016 Costa Tsaousis
License: LGPL-3+

Files: collectors/freeipmi.plugin/freeipmi_plugin.c
Copyright: 2017 Costa Tsaousis
           2007-2015 Lawrence Livermore National Security, LLC.
           2006-2007 The Regents of the University of California.
License: GPL-3+

Files:
 collectors/node.d.plugin/node_modules/lib/ber/*
Copyright: 2011 Mark Cavage <mcavage@gmail.com>
License: Expat

Files: collectors/node.d.plugin/node_modules/net-snmp.js
Copyright: 2013 Stephen Vickers <stephen.vickers.sv@gmail.com>
License: Expat

Files: collectors/node.d.plugin/node_modules/extend.js
Copyright: 2014 Stefan Thomas
License: Expat

Files: collectors/node.d.plugin/node_modules/pixl-xml.js
Copyright: 2015 Joseph Huckaby
License: Expat

Files:
 web/gui/css/bootstrap-theme-3.3.7.min.css
 web/gui/lib/bootstrap-3.3.7.min.js
 debian/missing-sources/bootstrap-3.3.7.js
 debian/missing-sources/bootstrap-theme-3.3.7.css
Copyright: 2011-2016 Twitter, Inc
License: Expat

Files:
 web/gui/css/bootstrap-slate-flat-3.3.7.css
Copyright: 2016 Thomas Park
License: Expat

Files:
 web/gui/lib/bootstrap-toggle-2.2.2.min.js
 web/gui/css/bootstrap-toggle-2.2.2.min.css
 debian/missing-sources/bootstrap-toggle-2.2.2.js
 debian/missing-sources/bootstrap-toggle-2.2.2.css
Copyright: 2014 Min Hur, The New York Times Company
License: Expat

Files:
 web/gui/lib/bootstrap-table-1.11.0.min.js
 web/gui/lib/bootstrap-table-export-1.11.0.min.js
 debian/missing-sources/bootstrap-table-1.11.0.js
 debian/missing-sources/bootstrap-table-export-1.11.0.js
Copyright: 2016 Zhixin Wen
License: Expat

Files:
 web/gui/lib/c3-0.4.18.min.js
 web/gui/css/c3-0.4.18.min.css
 debian/missing-sources/c3-0.4.18.js
 debian/missing-sources/c3-0.4.18.css
Copyright: 2013 Masayuki Tanaka
License: Expat

Files:
 web/gui/lib/dygraph-c91c859.min.js
 web/gui/lib/dygraph-smooth-plotter-c91c859.js
 debian/missing-sources/dygraph-c91c859.js
 debian/missing-sources/dygraph-smooth-plotter-c91c859.js
Copyright: 2014 Dan Vanderkam <danvdk@gmail.com>
License: Expat

Files:
 web/gui/lib/gauge-1.3.2.min.js
 debian/missing-sources/gauge-1.3.2.coffee
Copyright: 2016 Bernard Kobos <bkobos@extensa.pl>
License: Expat

Files:
 web/gui/lib/jquery.easypiechart-97b5824.min.js
 debian/missing-sources/jquery.easypiechart-97b5824.js
Copyright: 2013 Robert Fleischmann
License: Expat

Files:
 web/gui/lib/perfect-scrollbar-0.6.15.min.js
 debian/missing-sources/perfect-scrollbar-0.6.15.js
Copyright: 2016 Hyunje Alex Jun
License: Expat

Files:
 web/gui/lib/jquery.peity-3.2.0.min.js
 debian/missing-sources/jquery.peity-3.2.0.js
Copyright: 2015 Ben Pickles
License: Expat

Files:
 web/gui/lib/jquery.sparkline-2.1.2.min.js
 debian/missing-sources/jquery.sparkline-2.1.2.js
Copyright: 2013 Gareth Watts <gareth@splunk.com>, Splunk Inc
License: BSD-3-clause

Files:
 web/gui/lib/morris-0.5.1.min.js
 web/gui/css/morris-0.5.1.css
 debian/missing-sources/morris-0.5.1.js
 debian/missing-sources/morris-0.5.1.css
Copyright: 2014 Olly Smith
License: BSD-2-clause

Files:
 web/gui/lib/jquery-2.2.4.min.js
 debian/missing-sources/jquery-2.2.4.js
Copyright: 2016 JS Foundation
License: Apache-2.0

Files:
 web/gui/lib/d3-4.12.2.min.js
 debian/missing-sources/d3-4.12.2.js
Copyright: Copyright (C) 2013 Michael Bostock
License: BSD-3-Clause

Files:
 web/gui/images/seo-performance*
 web/gui/images/check-mark*
 web/gui/images/alert-*
 web/gui/images/post.png
Copyright: 2016 IconsDB.com Icons
License: CC0

Files:
 web/gui/lib/tableExport-1.6.0.min.js
 debian/missing-sources/tableExport-1.6.0.js
Copyright: 2016 hhurz
           2014 Giri Raj
License: Expat

Files:
 web/gui/lib/raphael-2.2.4-min.js
 debian/missing-sources/raphael-2.2.4.js
Copyright: 2016 Dmitry Baranovskiy
           2016 Sencha Labs
License: Expat

Files:
 web/gui/lib/clipboard-polyfill-be05dad.js
 debian/missing-sources/clipboard-polyfill-be05dad.ts
Copyright: 2014 Lucas Garron
License: Expat

Files:
 collectors/python.d.plugin/python_modules/third_party/lm_sensors.py
Copyright: 2015 Pavel Rojtberg
License: LGPL-2.1

Files:
 collectors/python.d.plugin/python_modules/third_party/monotonic.py
Copyright: 2014-2016 Ori Livneh <ori@wikimedia.org>
License: Apache-2.0

Files:
 collectors/python.d.plugin/python_modules/third_party/boinc_client.py
Copyright: 2013 Rodrigo Silva (MestreLion) <linux@rodrigosilva.com>
           2017 Austin S. Hemmelgarn
License: GPL-3

Files:
 collectors/python.d.plugin/python_modules/third_party/mcrcon.py
Copyright: 2015 Barnaby Gale
License: MIT

Files:
 collectors/python.d.plugin/python_modules/third_party/ordereddict.py
Copyright: 2009 Raymond Hettinger
License: MIT

Files:
 python.d/python_modules/base.py
Copyright: 2016 Pawel Krupa
License: GPL-3+

Files:
 collectors/python.d.plugin/python_modules/urllib3/*
Copyright: 2008-2016 Andrey Petrov and others
License: Expat

Files:
 web/gui/fonts/glyphicons*
Copyright: 2010-2013 Jan Kovarik <jankovarik@gmail.com>
License: Apache-2.0

License: LGPL-3+
 This library is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation; either version 3 of the License, or (at your option) any
 later version.
 .
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this library;  If not, see <http://www.gnu.org/licenses/>.
 .
 The complete text of the GNU Lesser General Public License version 3
 can be found in /usr/share/common-licenses/LGPL-3.

License: LGPL-2.1
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU Library General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 .
 The complete text of the GNU Library General Public License, version 2,
 can be found in /usr/share/common-licenses/LGPL-2.

License: GPL-3
 This program is free software: you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation, version 3 of the License.
 .
 This program is distributed in the hope that it will be useful, but WITHOUT ANY
 WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 PARTICULAR PURPOSE. See the GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License along with
 this program. If not, see <http://www.gnu.org/licenses/>.
 .
 The complete text of the GNU General Public License version 3
 can be found in /usr/share/common-licenses/GPL-3.

License: GPL-3+
 This program is free software: you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation, either version 3 of the License, or (at your option) any later
 version.
 .
 This program is distributed in the hope that it will be useful, but WITHOUT ANY
 WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 PARTICULAR PURPOSE. See the GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License along with
 this program. If not, see <http://www.gnu.org/licenses/>.
 .
 The complete text of the GNU General Public License version 3
 can be found in /usr/share/common-licenses/GPL-3.

License: Expat
 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the "Software"), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:
 .
 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 .
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY AUTHORS AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Neither the name of the copyright holder nor the names of contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTOR(S) ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTOR(S) BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

License: Apache-2.0
 Licensed under the Apache License, Version 2.0 (the "License"); you may
 not use this file except in compliance with the License. You may obtain
 a copy of the License at
 .
     http://www.apache.org/licenses/LICENSE-2.0
 .
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 License for the specific language governing permissions and limitations
 under the License.
 .
 In addition, as a special exception, the copyright holders give
 permission to link the code of portions of this program with the
 OpenSSL library under certain conditions as described in each
 individual source file, and distribute linked combinations including
 the two.
 .
 You must obey the GNU General Public License in all respects for all
 of the code used other than OpenSSL. If you modify file(s) with this
 exception, you may extend this exception to your version of the
 file(s), but you are not obligated to do so. If you do not wish to do
 so, delete this exception statement from your version. If you delete
 this exception statement from all source files in the program, then
 also delete it here.
 .
 Comment:
 .
 The complete text of the Apache License 2.0
 can be found in /usr/share/common-licenses/Apache-2.0.

License: CC0
 Creative Commons Legal Code
 CC0 1.0 Universal
 .
    CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE
    LEGAL SERVICES. DISTRIBUTION OF THIS DOCUMENT DOES NOT CREATE AN
    ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS
    INFORMATION ON AN "AS-IS" BASIS. CREATIVE COMMONS MAKES NO
    WARRANTIES REGARDING THE USE OF THIS DOCUMENT OR THE INFORMATION OR
    WORKS PROVIDED HEREUNDER, AND DISCLAIMS LIABILITY FOR DAMAGES
    RESULTING FROM THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS
    PROVIDED HEREUNDER.
 .
 Statement of Purpose
 .
 The laws of most jurisdictions throughout the world automatically confer
 exclusive Copyright and Related Rights (defined below) upon the creator
 and subsequent owner(s) (each and all, an "owner") of an original work
 of authorship and/or a database (each, a "Work").
 .
 Certain owners wish to permanently relinquish those rights to a Work for
 the purpose of contributing to a commons of creative, cultural and
 scientific works ("Commons") that the public can reliably and without
 fear of later claims of infringement build upon, modify, incorporate in
 other works, reuse and redistribute as freely as possible in any form
 whatsoever and for any purposes, including without limitation commercial
 purposes. These owners may contribute to the Commons to promote the
 ideal of a free culture and the further production of creative, cultural
 and scientific works, or to gain reputation or greater distribution for
 their Work in part through the use and efforts of others.
 .
 For these and/or other purposes and motivations, and without any
 expectation of additional consideration or compensation, the person
 associating CC0 with a Work (the "Affirmer"), to the extent that he or
 she is an owner of Copyright and Related Rights in the Work, voluntarily
 elects to apply CC0 to the Work and publicly distribute the Work under
 its terms, with knowledge of his or her Copyright and Related Rights in
 the Work and the meaning and intended legal effect of CC0 on those
 rights.
 .
 1. Copyright and Related Rights. A Work made available under CC0 may be
    protected by copyright and related or neighboring rights ("Copyright
    and Related Rights"). Copyright and Related Rights include, but are not
    limited to, the following:
 .
    i.   the right to reproduce, adapt, distribute, perform, display,
         communicate, and translate a Work;
 .
    ii.  moral rights retained by the original author(s) and/or
         performer(s);
 .
    iii. publicity and privacy rights pertaining to a person's image or
         likeness depicted in a Work;
 .
    iv.  rights protecting against unfair competition in regards to a
         Work, subject to the limitations in paragraph 4(a), below;
 .
    v.   rights protecting the extraction, dissemination, use and reuse
         of data in a Work;
 .
    vi.  database rights (such as those arising under Directive 96/9/EC
         of the European Parliament and of the Council of 11 March 1996 on
         the legal protection of databases, and under any national
         implementation thereof, including any amended or successor version
         of such directive); and
 .
    vii. other similar, equivalent or corresponding rights throughout
         the world based on applicable law or treaty, and any national
         implementations thereof.
 .
 2. Waiver. To the greatest extent permitted by, but not in
 contravention of, applicable law, Affirmer hereby overtly, fully,
 permanently, irrevocably and unconditionally waives, abandons, and
 surrenders all of Affirmer's Copyright and Related Rights and
 associated claims and causes of action, whether now known or unknown
 (including existing as well as future claims and causes of action), in
 the Work (i) in all territories worldwide, (ii) for the maximum
 duration provided by applicable law or treaty (including future time
 extensions), (iii) in any current or future medium and for any number
 of copies, and (iv) for any purpose whatsoever, including without
 limitation commercial, advertising or promotional purposes (the
 "Waiver"). Affirmer makes the Waiver for the benefit of each member of
 the public at large and to the detriment of Affirmer's heirs and
 successors, fully intending that such Waiver shall not be subject to
 revocation, rescission, cancellation, termination, or any other legal
 or equitable action to disrupt the quiet enjoyment of the Work by the
 public as contemplated by Affirmer's express Statement of Purpose.
 .
 3. Public License Fallback. Should any part of the Waiver for any
 reason be judged legally invalid or ineffective under applicable law,
 then the Waiver shall be preserved to the maximum extent permitted
 taking into account Affirmer's express Statement of Purpose. In
 addition, to the extent the Waiver is so judged Affirmer hereby grants
 to each affected person a royalty-free, non transferable, non
 sublicensable, non exclusive, irrevocable and unconditional license to
 exercise Affirmer's Copyright and Related Rights in the Work (i) in all
 territories worldwide, (ii) for the maximum duration provided by
 applicable law or treaty (including future time extensions), (iii) in
 any current or future medium and for any number of copies, and (iv) for
 any purpose whatsoever, including without limitation commercial,
 advertising or promotional purposes (the "License"). The License shall
 be deemed effective as of the date CC0 was applied by Affirmer to the
 Work. Should any part of the License for any reason be judged legally
 invalid or ineffective under applicable law, such partial invalidity or
 ineffectiveness shall not invalidate the remainder of the License, and
 in such case Affirmer hereby affirms that he or she will not (i)
 exercise any of his or her remaining Copyright and Related Rights in
 the Work or (ii) assert any associated claims and causes of action with
 respect to the Work, in either case contrary to Affirmer's express
 Statement of Purpose.
 .
 4. Limitations and Disclaimers.
 .
    a. No trademark or patent rights held by Affirmer are waived,
       abandoned, surrendered, licensed or otherwise affected by this
       document.
 .
    b. Affirmer offers the Work as-is and makes no representations or
       warranties of any kind concerning the Work, express, implied,
       statutory or otherwise, including without limitation warranties of
       title, merchantability, fitness for a particular purpose, non
       infringement, or the absence of latent or other defects, accuracy,
       or the present or absence of errors, whether or not discoverable,
       all to the greatest extent permissible under applicable law.
 .
    c. Affirmer disclaims responsibility for clearing rights of other
       persons that may apply to the Work or any use thereof, including
       without limitation any person's Copyright and Related Rights in the
       Work. Further, Affirmer disclaims responsibility for obtaining any
       necessary consents, permissions or other rights required for any use
       of the Work.
 .
    d. Affirmer understands and acknowledges that Creative Commons is
       not a party to this document and has no duty or obligation with
       respect to this CC0 or use of the Work.
 .
 https://creativecommons.org/choose/zero/

License: MIT
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
